GDB (xrefs)

Classes | Macros | Typedefs | Functions | Variables
/tmp/gdb-8.1/gdb/gnu-nat.h File Reference
`#include <unistd.h>`
`#include <mach.h>`

Go to the source code of this file.

## Classes
struct | proc

## Macros
#define | PROC_TID_TASK (-1)
#define | proc_is_task(proc) ((proc)->tid == PROC_TID_TASK)
#define | proc_is_thread(proc) ((proc)->tid != PROC_TID_TASK)
#define | proc_debug(_proc, msg, args...)
#define | debug(msg, args...)

## Typedefs
typedef void() | inf_threads_ftype(struct proc *thread, void *arg)

## Functions
struct proc * | inf_tid_to_thread (struct inf *inf, int tid)
void | inf_threads (struct inf *inf, inf_threads_ftype *f, void *arg)
int | inf_update_procs (struct inf *inf)
int | __proc_pid (struct proc *proc)
thread_state_t | proc_get_state (struct proc *proc, int will_modify)
char * | proc_string (struct proc *proc)
struct target_ops * | gnu_target (void)

## Variables
struct inf * | gnu_current_inf
int | gnu_debug_flag

## Macro Definition Documentation

## ◆ debug

#define debug | ( |  | msg,
|  |  | args...
| ) |  |

Value:
do { if (gnu_debug_flag) \
fprintf_unfiltered (gdb_stdlog, "%s:%d: " msg "\r\n", \
__FILE__ , __LINE__ , ##args); } while (0)
gnu_debug_flag
int gnu_debug_flag
Definition: gnu-nat.c:93
gdb_stdlog
#define gdb_stdlog
Definition: utils.h:349

Definition at line 101 of file gnu-nat.h.

## ◆ proc_debug

#define proc_debug | ( |  | _proc,
|  |  | msg,
|  |  | args...
| ) |  |

Value:
do { struct proc *__proc = (_proc); \
debug ("{proc %d/%d %s}: " msg, \
__proc_pid (__proc), __proc->tid, \
host_address_to_string (__proc) , ##args); } while (0)
host_address_to_string
#define host_address_to_string(ADDR)
Definition: print-utils.h:75
proc
Definition: gnu-nat.h:42
proc::tid
int tid
Definition: gnu-nat.h:45
__proc_pid
int __proc_pid(struct proc *proc)
Definition: gnu-nat.c:253

Definition at line 93 of file gnu-nat.h.

Referenced by _proc_free(), do_mach_notify_dead_name(), gnu_fetch_registers(), gnu_kill_inferior(), gnu_store_registers(), inf_validate_procs(), make_proc(), proc_abort(), proc_get_state(), proc_restore_exc_port(), proc_set_exception_port(), proc_steal_exc_port(), proc_trace(), and proc_update_sc().

## ◆ proc_is_task

#define proc_is_task | ( |  | proc | ) | ((proc)->tid == PROC_TID_TASK)

Definition at line 79 of file gnu-nat.h.

Referenced by make_proc(), proc_get_exception_port(), proc_set_exception_port(), proc_string(), and proc_update_sc().

## ◆ proc_is_thread

#define proc_is_thread | ( |  | proc | ) | ((proc)->tid != PROC_TID_TASK)

Definition at line 80 of file gnu-nat.h.

Referenced by inf_set_step_thread(), proc_abort(), and proc_update_sc().

## ◆ PROC_TID_TASK

#define PROC_TID_TASK (-1)

Definition at line 77 of file gnu-nat.h.

Referenced by inf_set_pid().

## Typedef Documentation

## ◆ inf_threads_ftype

typedef void() inf_threads_ftype(struct proc *thread, void *arg)

Definition at line 32 of file gnu-nat.h.

## Function Documentation

## ◆ __proc_pid()

int __proc_pid | ( | struct proc * | proc | ) |

Definition at line 253 of file gnu-nat.c.

References proc::inf, and inf::pid.

## ◆ gnu_target()

struct target_ops* gnu_target | ( | void |  | ) |

Definition at line 2737 of file gnu-nat.c.

References gnu_attach(), gnu_create_inferior(), gnu_detach(), gnu_find_memory_regions(), gnu_kill_inferior(), gnu_mourn_inferior(), gnu_pid_to_str(), gnu_resume(), gnu_stop(), gnu_thread_alive(), gnu_wait(), gnu_xfer_partial(), inf_child_target(), target_ops::to_attach, target_ops::to_attach_no_wait, target_ops::to_create_inferior, target_ops::to_detach, target_ops::to_find_memory_regions, target_ops::to_kill, target_ops::to_mourn_inferior, target_ops::to_pid_to_str, target_ops::to_resume, target_ops::to_stop, target_ops::to_thread_alive, target_ops::to_wait, and target_ops::to_xfer_partial.

Referenced by _initialize_i386gnu_nat().

## ◆ inf_threads()

void inf_threads | ( | struct inf * | inf,
|  | inf_threads_ftype * | f,
|  | void * | arg
| ) |  |

Definition at line 996 of file gnu-nat.c.

References proc::next, and inf::threads.

## ◆ inf_tid_to_thread()

struct proc* inf_tid_to_thread | ( | struct inf * | inf,
|  | int | tid
| ) |  |

Definition at line 967 of file gnu-nat.c.

References proc::next, inf::threads, selftests::ptid::tid, and proc::tid.

Referenced by cur_thread(), gnu_fetch_registers(), gnu_pid_to_str(), gnu_resume(), gnu_store_registers(), gnu_thread_alive(), gnu_wait(), and set_sig_thread_cmd().

## ◆ inf_update_procs()

int inf_update_procs | ( | struct inf * | inf | ) |

Definition at line 1123 of file gnu-nat.c.

References inf_validate_procs(), inf::task, and inf::threads_up_to_date.

Referenced by gnu_attach(), gnu_fetch_registers(), gnu_resume(), gnu_store_registers(), gnu_thread_alive(), gnu_wait(), inf_resume(), inf_set_threads_resume_sc(), inf_suspend(), and S_exception_raise_request().

## ◆ proc_get_state()

thread_state_t proc_get_state | ( | struct proc * | proc,
|  | int | will_modify
| ) |  |

Definition at line 365 of file gnu-nat.c.

References proc::aborted, err, proc::port, proc_abort(), proc_debug, proc::state, proc::state_changed, proc::state_valid, THREAD_STATE_FLAVOR, and THREAD_STATE_SIZE.

Referenced by gnu_fetch_registers(), gnu_store_registers(), and proc_trace().

## ◆ proc_string()

char* proc_string | ( | struct proc * | proc | ) |

Definition at line 2702 of file gnu-nat.c.

References proc::inf, inf::pid, proc_is_task, proc::tid, and xsnprintf().

Referenced by fetch_fpregs(), gnu_fetch_registers(), gnu_pid_to_str(), gnu_resume(), gnu_store_registers(), proc_abort(), proc_restore_exc_port(), proc_steal_exc_port(), show_sig_thread_cmd(), show_thread_detach_sc_cmd(), show_thread_pause_cmd(), show_thread_run_cmd(), steal_exc_port(), and store_fpregs().

## Variable Documentation

## ◆ gnu_current_inf

struct inf* gnu_current_inf

Definition at line 1451 of file gnu-nat.c.

Referenced by cur_inf(), gnu_detach(), gnu_fetch_registers(), gnu_find_memory_regions(), gnu_kill_inferior(), gnu_mourn_inferior(), gnu_pid_to_str(), gnu_resume(), gnu_store_registers(), gnu_thread_alive(), gnu_wait(), gnu_xfer_auxv(), gnu_xfer_memory(), and inf_pick_first_thread().

## ◆ gnu_debug_flag

int gnu_debug_flag

Definition at line 93 of file gnu-nat.c.

Referenced by _initialize_gnu_nat().